<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css"
        integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous" />
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css"
        integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">
    <link rel="stylesheet" href="./css/custom.css">
    <link rel="icon" href="/images/logo_orinoco.svg">
    <link href="https://fonts.googleapis.com/css2?family=Leckerli+One&display=swap" rel="stylesheet">

    <title>Votre panier</title>
</head>

<body class=" justify-content-center align-items-center col-12 px-0">

    <header class="col-12">
        <img src="/images/logo_orinoco.svg" alt="">
        <h1 class="text-center pt-3">OrinoBears</h1>
        <a href="index.html" class="text-center">
            <p>Accueil</p><img src="/images/logo_orinoco.svg" alt="">
        </a>
    </header>
    <div id="cart-container" class="container-fluid">
        <div class="d-flex justify-content-between mb-3">
            <h4>Récapitulatif des achats</h4>
            <button id="empty-cart-button" class="btn btn-secondary bg-danger">Vider le panier</button>
        </div>
        <table class="col-md-12 align-items-center d-none container">
            <thead>
                <tr>
                    <td class="col-2">Nom</td>
                    <td class="col-2">Couleur</td>
                    <td class="col-2">Quantité</td>
                    <td class="col-2">Prix</td>
                    <td></td>
                </tr>
            </thead>
            <tbody></tbody>
            <tfoot class="px-3 col-12 text-right"></tfoot>
        </table>

    </div>

    <!-- DEBUT DU FORMULAIRE -->

    <div id="facturation-container" class="container d-none form-appear">
        <h4>Adresse de Facturation</h4>
        <p>(*) Champs obligatoires</p>
        <form>
            <div class="container px-0 d-flex justify-content-between">
                <div class="form-group col-6 col-md-5 position-relative">
                    <label for="firstname">Nom *</label>

                    <input type="text" name="firstname" id="firstname" required>
                    <img src="/images/check.svg" alt="icone de validation" class="icone-verif d-none">
                    <span class="message-alerte d-none position-absolute">Min. 2 caractères non-spéciaux</span>


                </div>
                <div class="form-group col-6 col-md-5">
                    <label for="lastname">Prénom *</label>
                    <input type="text" name="lastname" id="lastname" required>
                    <img src="/images/check.svg" alt="icone de validation" class="icone-verif d-none">
                    <span class="message-alerte d-none position-absolute">Min. 2 caractères non-spéciaux</span>
                </div>
            </div>
            <div class="form-group position-relative">
                <label for="email">Adresse mail *</label>
                <input type="email" name="email" id="mail" required>
                <img src="/images/check.svg" alt="icone de validation" class="icone-verif d-none">
                <span class="message-alerte d-none position-absolute">Entrez une adresse e-mail valide</span>
            </div>

            <!-- ADRESSE FACTURATION-->

            <div>
                <div class="form-group position-relative">
                    <label for="address">Numéro et nom de rue *</label>
                    <input type="text" name="address" id="address" required>
                    <img src="/images/check.svg" alt="icone de validation" class="icone-verif d-none">
                    <span class="message-alerte d-none position-absolute">L'adresse est trop courte!</span>
                </div>
                <div class="d-flex justify-content-between">
                    <div class="form-group col-5">
                        <label for="adressCode">Code Postal *</label>
                        <input type="text" name="adressCode" id="postal" required>
                        <img src="/images/check.svg" alt="icone de validation" class="icone-verif d-none">
                        <span class="message-alerte d-none position-absolute">Entrez un code postal valide</span>
                    </div>
                    <div class="form-group col-5">
                        <label for="city">Ville *</label>
                        <input type="text" name="city" id="city">
                        <img src="/images/check.svg" alt="icone de validation" class="icone-verif d-none">
                        <span class="message-alerte d-none position-absolute">
                            Min. 6 caractères non-spéciaux, pas de chiffres</span>
                    </div>
                    
                </div>
            </div>

            
        </form>

    </div>
    <p id="empty-cart-text" class="text-center mt-5">Votre panier est vide!</p>
    <p id="success-delete" class="text-center text-light mt-5 d-none form-appear bg-success"></p>
    <div class="text-center bg-danger text-light d-none pb-2 form-appear" id="warning">
        <p class="mb-0 text-light">Attention, vous n'avez pas rempli le formulaire correctement! Il manque:</p>
        <div class="col-md-3 col-12 text-left container mt-0">
            <p id="warning-firstname" class="my-1 d-none text-light">- Le prénom</p>
            <p id="warning-lastname" class="my-1 d-none text-light">- Le nom</p>
            <p id="warning-mail" class="my-1 d-none text-light">- L'adresse e-mail</p>
            <p id="warning-address" class="my-1 d-none text-light">- L'adresse postale</p>
            <p id="warning-postal" class="my-1 d-none text-light">- Le code postal</p>
            <p id="warning-city" class="my-1 d-none text-light">- Le nom de la ville</p>
        </div>
    </div>
    <div class="d-flex justify-content-around mt-5" id="return-index">
        <a href="/public/index.html" class="btn btn-secondary bg-info mr align-self-start text-left" id="return">Revenir aux achats</a>
        <div class="btn btn-secondary mb-4 bg-danger d-none" id="fake-button">Confirmer l'achat
        </div>
        <button type="submit" class="btn btn-secondary mb-4 bg-danger d-none" id="true-button"><a
                href="./confirm.html">Confirmer l'achat</a></button>
    </div>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.21.1/axios.min.js"></script>
    
    <script type="module" src="/js/shop-cart.js"></script>
</body>

</html>